<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee
         http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
         version="3.1">

  <display-name>Archetype Created Web Application</display-name>

  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
  </welcome-file-list>

  <servlet>
    <servlet-name>loginPage</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.LoginServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>loginPage</servlet-name>
    <url-pattern>/login</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>registrationPage</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.RegistrationServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>registrationPage</servlet-name>
    <url-pattern>/registration</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>logout</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.LogoutServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>logout</servlet-name>
    <url-pattern>/logout</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>profile</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.ProfileServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>profile</servlet-name>
    <url-pattern>/profile</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>admin</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.AdminServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>admin</servlet-name>
    <url-pattern>/admin</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>dispatcher</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.userAccount.DispatcherServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>dispatcher</servlet-name>
    <url-pattern>/dispatcher</url-pattern>
  </servlet-mapping>

  <session-config>
    <session-timeout>300</session-timeout>
  </session-config>
  
  <filter>
    <filter-name>securityFilter</filter-name>
    <filter-class>com.epam.rd.november2019.web.filter.SecurityFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>securityFilter</filter-name>
    <url-pattern>*</url-pattern>
  </filter-mapping>

  <filter>
    <filter-name>langFilter</filter-name>
    <filter-class>com.epam.rd.november2019.web.filter.LangFilter</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>langFilter</filter-name>
    <url-pattern>*</url-pattern>
  </filter-mapping>

  <servlet>
    <servlet-name>addEmployee</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.employee.AddEmployeeServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>addEmployee</servlet-name>
    <url-pattern>/addEmployee</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>employees</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.employee.GetAllEmployeesServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>employees</servlet-name>
    <url-pattern>/employees</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>editEmployee</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.employee.EditEmployeeServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>editEmployee</servlet-name>
    <url-pattern>/editEmployee</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>findEmployee</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.employee.FindEmployeeServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>findEmployee</servlet-name>
    <url-pattern>/findEmployee</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>deleteEmployee</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.employee.RemoveEmployeeServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>deleteEmployee</servlet-name>
    <url-pattern>/deleteEmployee</url-pattern>
  </servlet-mapping>


  <servlet>
    <servlet-name>addFlight</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.flight.AddFlightServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>addFlight</servlet-name>
    <url-pattern>/addFlight</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>flights</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.flight.GetAllFlightsServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>flights</servlet-name>
    <url-pattern>/flights</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>editFlight</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.flight.EditFlightServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>editFlight</servlet-name>
    <url-pattern>/editFlight</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>findFlight</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.flight.FindFlightServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>findFlight</servlet-name>
    <url-pattern>/findFlight</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>deleteFlight</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.flight.RemoveFlightServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>deleteFlight</servlet-name>
    <url-pattern>/deleteFlight</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>addFlightTeam</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.dispatcher.AddFlightTeamServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>addFlightTeam</servlet-name>
    <url-pattern>/addFlightTeam</url-pattern>
  </servlet-mapping>

  <servlet>
    <servlet-name>freeEmployees</servlet-name>
    <servlet-class>com.epam.rd.november2019.web.servlet.dispatcher.FreeEmployeesServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>freeEmployees</servlet-name>
    <url-pattern>/freeEmployees</url-pattern>
  </servlet-mapping>



</web-app>
